QGIS Application - Bug report #11972
GdalTools clipper: wrong command when mask layer has a filter
2015-01-09 10:55 AM - Zoltan Siki

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20179
Description

| found a bug in GdalTools/Clipper, when a mask layer is used with a filter expression, the generated gdalwarp command is is not valid.
The generated command looks like this:
gdalwarp -q -cutline "poly.shp|layerid=0|subset=\\"Nev\\" = 'Heves™ -crop_to_cutline input.tif output.tif

the correct command would be:

gdalwarp -q -cutline "poly.shp" -cwhere="Nev="Heves™ -crop_to_cutline input.tif output.tif

| suppose in getArgsModeMask (doClipper.py) after line 167 the mask should be processed if it contains "|".

Associated revisions

Revision fe2bb2f0 - 2016-01-21 03:24 PM - Alexander Bruy

[processing] take in account vector subsets when clipping raster (fix #11972)

History

#1 - 2015-01-09 11:14 AM - Giovanni Manghi
- OS version deleted (2.6)

- Operating System deleted (All)

- Category set to GDAL Tools

- Subject changed from GdalTools plug-in clipper to GdalTools clipper: wrong command when mask layer has a filter
#2 - 2016-01-21 06:29 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"fe2bb2f09fe799¢c1363a206ced23bb2a5a1b3b38".
